summaryrefslogtreecommitdiff
path: root/qa/710
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
committerIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
commit47e6e7c84f008a53061e661f31ae96629bc694ef (patch)
tree648a07f3b5b9d67ce19b0fd72e8caa1175c98f1a /qa/710
downloadpcp-47e6e7c84f008a53061e661f31ae96629bc694ef.tar.gz
Debian 3.9.10debian/3.9.10debian
Diffstat (limited to 'qa/710')
-rwxr-xr-xqa/71038
1 files changed, 38 insertions, 0 deletions
diff --git a/qa/710 b/qa/710
new file mode 100755
index 0000000..6b185dd
--- /dev/null
+++ b/qa/710
@@ -0,0 +1,38 @@
+#!/bin/sh
+# PCP QA Test No. 710
+# Exercise python PMI layer using a real script
+#
+# Copyright (c) 2012 Red Hat.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+
+status=1 # failure is the default!
+$sudo rm -f $tmp.* $seq.full
+trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+filter_dump()
+{
+ _filter_pmdumplog | \
+ sed -e 's/value 0\.[0-9][0-9]*$/value DOUBLE/g'
+}
+
+# real QA test starts here
+python $here/src/check_import.python $tmp.pcplog >$tmp.out 2>&1
+if [ $? -eq 0 ]
+then
+ pmdumplog -a $tmp.pcplog 2>&1 | filter_dump
+else
+ cat $tmp.out
+ echo "check_import python script gave non-zero result"
+fi
+
+# success, all done
+status=$?
+exit